HROUTE6D.CONF(5)

NAME
hroute6d.conf - configuration file for hroute6d(8).

DESCRIPTION
The hroute6d.conf configuration file consists of a sequence of statements terminated by a newline. Statements are composed of tokens seperated by white spaces, which can be any combination of blanks and tabs. Comments begin with a # sign and runs to the end of line.

Configuration file consists of three parts. They are
•   Global Configuration Part
•   Route Configuration Part
•   Interface Configuration Part
and appear in this order on the configuration file.

Each part have their own set of statements. In general, the order of statements are free and any number of statements may be specified. A statement begins with a command and followed by some parameters.

hroute6d.conf must be present in the directory /usr/local/v6/etc before starting hroute6d(8) daemon.

Common Parameter Syntax

metric
    metric value between 1 and 16 (decimal) inclusive.

on/off
    character string on or off.

prefix
    character string default or pair of an address and a prefix-length.

address
    IPv6 address in text representation as defined in RFC 1884.

prefix-length
    numerical value between 0 and 128 (decimal) inclusive.

Global Configuration Part

quiet
    The hroute6d only listen to the advertisements of others and never advertise it's routing information to neighbours. If this option is not specified, hroute6d send own routing information to neighbours. quiet is NOT the default.

poison

horizon

nohorizon
    Specifies which method to use. posion means do posion reverse, horizon means do split horizon (but not posion reverse) and nohorizon means do not split horizon. The default method is poison

trace on/off
    Enables/Disables packet tracing. The default is off

defaultmetric metric
    Set the default value for the metric. If not specified, the value is 1.

headerlen headerlength
    Set the total length of the IPv6 header and UDP header in octets (decimal). Used when the hroute6d calculate the maximum number of RTEs in one message. The default value is 48.

nexthop out
    Always put a next hop RTE in any outgoing messages. If not specified, the hroute6d make messages without next hop RTE when the next hop is itself (default case).

nexthop noin
    Ignore the next hop RTE in any incoming messages and treat the neighbour which sends the message as next hop. This is not the default.

routetag tagvalue
    Use this value (in hexadecimal) in the route tag field of each RTE which is made by this hroute6d (i.e direct attached networks). Valid values are from 0000 to FFFF in hexadecimal. The default value is 0.

compatible
    Advertises and accepts routes for IPv4 compatible addresses. This is NOT the default.

Route Configuration Part

    static prefix address interface [metric metric] [routetag tagvalue] Make a static route. prefix is the destination prefix. interface is the interface name (like lo0 ) which attaches the network next hop gateway belongs to. address is the next hop gateway address. Metric of the static route can be specified. If not specified, the value which is specified by the defaultmetric statement (see previous section) is used. The route tag can be specified too. The default route tag is specified by routetag statement (see previous section). To set a default route, use default as prefix.

ignore prefix
    Ignore any RTE matches this prefix in any incoming messages. If prefix is default ignore only the default route RTE (not all RTEs).

Interface Configuration Part
In this part, settings per interface are defined as interface by interface manner. Each interface setting begins with interface statement and ends before next interface statement or the end of file. The default setting of any of interface not described in Interface Configuration Part is in, out.

interface interfacename
    The interfacename is the character strings in the form of "name unit", such as lo0, de1.

poision

horizon

nohorizon
    Specifies which method to use in creating messages which is sent on this interface. This statement overrides default method specified in the General Configuration Part.

in [address]
    Enable the hroute6d to listen advertisements on this interface. If address is omitted, all advertisements are received and processed. If address specified, only messages from the address is received and messages from others are ignored. The default is in with no parameters. Note: address should be link-local address.

noin [address]
    Disable the hroute6d to listen advertisements on this interface. If address parameter is omitted, all advertisements received from this interface is ignored. Both noin and in statements may be used on the same interface. In that case, latter statements overrides former ones. For example, in and noin gateway1 appear in this order, the hroute6d accpets all messages from the interface except the ones from the gateway1.

out [address]
    Enable hroute6d to advertise it's own routing information to neighbours on this interface. If address parameter is omitted, advertisements are multicasted to FF02::9 (as defined in RFC). If address is specified, advertisements are unicasted to the address. If multiple out statements are specified, advertisements are sent to each address specified. For example, out , out gateway1 and out gateway2 appear in this order, advertisements are sent to FF02::9, gateway1 (unicast) and gateway2 (unicast). The default is out with no parameters. address should be a link-local address.

noout
    Disable the hroute6d to advertise it's own routing information to neighbours on this interface. This is not the default.

    aggregate prefix [metric metric] [routetag tagvalue] Every route that matches prefix are aggregated to one RTE with prefix when advertise on this interface. For aggregated prefix, a routing table entry toward loopback interface with RTF_REJECT will be installed, so that there will be no bogus packet loop. Metric can be specified. If no metric is specified, aggregated RTE use the default metric. Also, route tag can be specified.

nosite
    Define this interface does not belong to any site. The hroute6d should not accpet RTE with site-local address from this interface and should not advertise any RTE with site-local addresses. This is the default

site
    Define that this interface belongs to a site. Accept RTEs with site-local addresses from this interface. Advertise RTEs with site-local addresses.

    gendefault [metric metric] [routetag tagvalue] Make a default route RTE (i.e prefix length = 0) in the message advertised on this interface. Metric and/or routetag can be specified. When this command is specified, messages from this interface contain ONLY default route RTE. This is not the default.

    filter prefix [routetag tagvalue] Ignore any RTEs that matches prefix from this interface. If prefix is default ignore only the default route RTE (not all RTEs). If route tag value is specified, ignore any RTEs that matches both prefix and tagvalue from this interface.

metricin metric
    The value metric is added to any incoming RTEs metrics (from this interface) before route calculation. The default is to use default metric specified by defaultmetric.

metricout metric
    The value metric is added to any outgoing (from this interface) RTEs' metrics. This does not affect route calculation of this hroute6d (affect only neighbours).

nexthop prefix address
    Include next hop RTE of address to advertise the prefix route.

propagate
    Propagate default route entry which hroute6d learned from neighbours.

Sample Configuration
If /usr/local/v6/etc/hroute6d.conf is empty file, hroute6d become active on all interfaces which have at least one IPv6 address. To make hroute6d to advertise only on the selected interfaces,

    #General Configuration Part
    quiet
    #Interface Configuration Part
    interface de0
    out
    interface tnl0
    out

FILES
/usr/local/v6/etc/hroute6d.conf
    Hroute6d configuration file.
/var/run/hroute6d.trace
    Trace log file.

SEE ALSO
hroute6d(8), rip6admin(8), rip6query(8)